RESTinio

Namespaces | Typedefs | Enumerations | Functions
restinio::utils::base64 Namespace Reference

## Namespaces
namespace | impl

## Typedefs
using | uint_type_t = std::uint_fast32_t

## Enumerations
enum class | decoding_error_t { invalid_base64_sequence }
| Description of base64 decode error. More...

## Functions
bool | is_base64_char (char c) noexcept
bool | is_valid_base64_string (string_view_t str) noexcept
uint_type_t | uch (char ch)
template<unsigned int Shift>
char | sixbits_char (uint_type_t bs)
std::string | encode (string_view_t str)
expected_t< std::string, decoding_error_t > | try_decode (string_view_t str)
std::string | decode (string_view_t str)

## Typedef Documentation

## ◆ uint_type_t

using restinio::utils::base64::uint_type_t = typedef std::uint_fast32_t

Definition at line 34 of file base64.hpp.

## Enumeration Type Documentation

## ◆ decoding_error_t

enum class restinio::utils::base64::decoding_error_t
| strong

Description of base64 decode error.

Enumerator
invalid_base64_sequence |

Definition at line 178 of file base64.hpp.

## Function Documentation

## ◆ decode()

std::string restinio::utils::base64::decode | ( | string_view_t | str | ) |
| inline

Definition at line 269 of file base64.hpp.

## ◆ encode()

std::string restinio::utils::base64::encode | ( | string_view_t | str | ) |
| inline

Definition at line 123 of file base64.hpp.

## ◆ is_base64_char()

bool restinio::utils::base64::is_base64_char | ( | char | c | ) |
| inline noexcept

Definition at line 37 of file base64.hpp.

## ◆ is_valid_base64_string()

bool restinio::utils::base64::is_valid_base64_string | ( | string_view_t | str | ) |
| inline noexcept

Definition at line 44 of file base64.hpp.

## ◆ sixbits_char()

template<unsigned int Shift>

char restinio::utils::base64::sixbits_char | ( | uint_type_t | bs | ) |

Definition at line 117 of file base64.hpp.

## ◆ try_decode()

expected_t< std::string, decoding_error_t > restinio::utils::base64::try_decode | ( | string_view_t | str | ) |
| inline

Definition at line 184 of file base64.hpp.

## ◆ uch()

uint_type_t restinio::utils::base64::uch | ( | char | ch | ) |
| inline

Definition at line 110 of file base64.hpp.